libnvme(2)

NAME
enum nvme_hmac_alg - HMAC algorithm

SYNOPSIS
enum nvme_hmac_alg {
NVME_HMAC_ALG_NONE ,
NVME_HMAC_ALG_SHA2_256 ,
NVME_HMAC_ALG_SHA2_384 ,
NVME_HMAC_ALG_SHA2_512

};

Constants

NVME_HMAC_ALG_NONE
    No HMAC algorithm

NVME_HMAC_ALG_SHA2_256
    SHA2-256

NVME_HMAC_ALG_SHA2_384
    SHA2-384

NVME_HMAC_ALG_SHA2_512
    SHA2-512